#
# spec file for package perl-Template-Toolkit
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Template-Toolkit
Name:           perl-Template-Toolkit
Version:        3.101
Release:        1.5
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Comprehensive template processing system
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AB/ABW/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(AppConfig) >= 1.56
BuildRequires:  perl(Test::LeakTrace)
Requires:       perl(AppConfig) >= 1.56
%{perl_requires}

%description
comprehensive template processing system

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md testrules.yml TODO

%changelog
* Wed Aug 17 2022 Tina Müller <timueller+perl@suse.de>
- updated to 3.101
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
  [#] Version 3.101
  [#]------------------------------------------------------------------------
  Improvements:
  * Added meta() method to Template::Document to return all META items
  Bug Fixes:
  * Fixed incorrect line numbers when using outline tags
  * Fixed incorrect Apache::Util(s) module in t/html.t
  [#]-----------------------------------------------------------------------
* Wed May 11 2022 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 3.100
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
  Improvements:
  * Template::Plugin::CGI removed to be used as a separate distro. (Sawyer X)
- trim package changelog
* Tue Dec 14 2021 Tina Müller <timueller+perl@suse.de>
- updated to 3.010 - 13th December 2021
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
  Bug Fixes:
  * Fix breakage when VMethods is loaded before Stash. (Felipe Gasper)
  * Fix unicode issues in Plugin::Date (Nicolas R)
  * Use "defined" instead of "//" because the latter is not available in Perl v5.8. (Louis Strous)
  * Fix FILTER redirect does not honor binmode (Louis Strous)
  Improvements:
  * Avoid anonymous hash warnings starting with Perl 5.35.2 (Graham Ollis)
  * Use Data::Dumper as an object. (Justin Wheeler)
  * ttree: Rename --assets to --copy_dir. (Johan Vromans)
  * ttree: Implement assets directories. (Johan Vromans)
  Tests:
  * Fix t/zz-plugin-cycle.t errors (Nicolas R)
  * Test for Dumper global vars. (Justin Wheeler)
  * Remove unused _dump code (Nicolas R)
  * Fixed tests failing on MacOS Catalina due to Dynaloader and relative paths (Andy Wardley)
  Documentation:
  * Update README.md (philip r brenan)
  * Add support group to README and Template.pm. (Johan Vromans)
  * Make the process() documentation clearer. (Dave Cross)
* Tue Jul 14 2020 Tina Müller <timueller+perl@suse.de>
- updated to 3.009 - 13th July 2020
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
  * Revert "Allow SET to have FILTER used in it"
* Tue Mar 31 2020 <timueller+perl@suse.de>
- updated to 3.008
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
* Tue Jan 28 2020 <timueller+perl@suse.de>
- updated to 3.007
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
  * Fixes cpanm by adding VERSION to Template/Toolkit.pm
* Fri Jan 17 2020 <timueller+perl@suse.de>
- updated to 3.006 - 16th January 2020
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
  * Fix t/date.t timezone issue introduced when adding '%%z' support
  [#] Version 3.005 - 15th January 2020
  * Add encoding option to Datafile plugin
  * Add support for '%%z' in Date plugin.
  * Fix for WHILE_MAX which was stopping one iteration earlier.
  * Refresh contributor list
  * Update Copyrights for year 2020
* Tue Jan 14 2020 <timueller+perl@suse.de>
- updated to 3.004
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
* Sat Dec 28 2019 <timueller+perl@suse.de>
- updated to 3.003
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
* Tue Apr 30 2019 Stephan Kulow <coolo@suse.com>
- updated to 2.29 - 29th April 2019
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
  * G. Flohr fixed multiple weaken cyclic reference
* Thu Nov  8 2018 Stephan Kulow <coolo@suse.com>
- updated to 2.28 - 11th October 2018
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
  * Matthew Somerville stopped a list import from printing an ARRAY(...) string.
    https://github.com/abw/Template2/issues/33
  * Add and enable Travis CI to track GitHub Pull Requests
  * Template is now using GitHub as the official Bug Tracker
  * Nicolas R. fixed a circular reference in Template::Plugin::Filter
    https://github.com/abw/Template2/issues/152
  * Nicolas R. adjusted group regexes to not be greedy
    https://github.com/abw/Template2/issues/94
  * Nicolas R. added unit tests to cover regression from RT 91172
    https://github.com/abw/Template2/issues/122
  * Nicolas R. added support for template files having mtime=0
    https://github.com/abw/Template2/issues/102
  * Todd Rinaldo fixed rand calls with no args in Math plugin
    https://github.com/abw/Template2/issues/155
  * Todd Rinaldo corrected ttree 2.22 logic change
    https://github.com/abw/Template2/issues/148
  * Todd Rinaldo turned off automated testing for tests using optional modules
    https://github.com/abw/Template2/issues/156
  * Nicolas R. adjusted unit tests to not force Stash::XS
  * Nicolas R. added a pre allocated buffer in Stash.xs to avoid malloc/free
    https://github.com/abw/Template2/issues/82
  * Nicolas R. optmized Template::Parser by avoiding a dummy sub
    https://github.com/abw/Template2/issues/83
  * Nicolas R. optimized Template:Directive by using index
    https://github.com/abw/Template2/issues/84
  * Nicolas R. adjust _dotop logic in Stash for perl 5.28 and earlier
    https://github.com/abw/Template2/issues/81
  * Todd Rinaldo documented VMethod method called 'item'
    https://github.com/abw/Template2/issues/90
  * Nicolas R. adjusted t/filter.t after recent switch to RFC3986
    https://github.com/abw/Template2/issues/179
  * Nicolas R. fixed warnings from t/cgi.t
    https://github.com/abw/Template2/issues/178
  * Ivan Krylov added STRICT option to ttree
    https://github.com/abw/Template2/issues/81
  * Kent Fredric fixed relative path handling in templates on Perl 5.26+
    https://github.com/abw/Template2/issues/80
  * Tom Delmas fixed some typo from documentation
    https://github.com/abw/Template2/issues/76
  * Matthew Somerville switched uri/url to use RFC3986
    updated the documentation to match the history.
    https://github.com/abw/Template2/issues/35
  * Sebastien Deseille used remove_tree helper to remove directories
    https://github.com/abw/Template2/issues/67
  * Nick Hibma - Add Sortkeys to DUMPER_ARGS
    https://github.com/abw/Template2/issues/64
  * E. Choroba added a warn on duplicate block name
    https://github.com/abw/Template2/issues/61
  * Jason Lewis fixed some typo in ttree.pod
    https://github.com/abw/Template2/issues/58
* Sun Apr 16 2017 coolo@suse.com
- updated to 2.27 - 13th December 2016
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
  * Ghost fixed the regex in the uri/url filters, removing double quotes
    to make it RFC3986 compliant.
    https://github.com/abw/Template2/issues/35
  * Sean Zellmer added testrules.yml to always run compile*.t sequentially
    https://github.com/abw/Template2/pull/45
  * Simon Dawson added 'empty' vmethods for scalar, list and hash
    https://github.com/abw/Template2/pull/46
  * Dennis Clark added --envvars option to tpage
    https://github.com/abw/Template2/pull/49
  * Yanick Champoux made Template::Toolkit a module
    https://github.com/abw/Template2/pull/51
  * Various warnings silenced and typos fixed.
* Sun May 10 2015 coolo@suse.com
- updated to 2.26 - 17th September 2014
  see /usr/share/doc/packages/perl-Template-Toolkit/Changes
  * Andy Wardley added outline directives. See Template::Manual::Syntax and
    Template::Manual::Config for details of the OUTLINE_TAG option and new
    'outline' TAG_STYLE.  See t/outline.t for examples.
  * Andy Wardley improved the handling of keywords when the ANYCASE option
    is in use.  See t/anycase.t for examples.
  * Chromatic fixed UTF-8 encoding in URLs in URL plugin.
    https://github.com/abw/Template2/pull/31
  * Brian Fraser added support for platforms without LC_ALL/setlocale.
    https://github.com/abw/Template2/pull/34
  * Amiri Barksdale fixed RT46691 to plug filter memory leaks
    https://github.com/abw/Template2/pull/36
  * John Lightsey fixed RT59208 to improve SET
    https://github.com/abw/Template2/pull/38
    UPDATE: This had to be reverted as it cause a subtle breakage elsewhere
* Tue Jul 30 2013 coolo@suse.com
- update to 2.25 upstreaming split_pattern.patch
  * Jon Jensen fixed the behaviour of split() which changed in Perl 5.18.0
  * Jay Hannah added repository information for metacpan.org et. al.
  * Colin Keith fixed Template::Provider's handling of directories
  * Kevin Goess made the date plugin accept the ISO8601 "T" separator
  * David Steinbrunner fixed various typos.
  * Andreas Koenig silenced recent Pod::Simple warnings
  * Slaven Rezic silenced warnings in the replace vmethod.
  * Ricardo Signes made the Image plugin emit extra tags in a predictable order
  * Johan Vromans added the --link option to ttree.
  * Smylers added documentation for the ENCODING option.
  * Andy Wardley made some minor documentation changes relating to github.
* Wed Jun 26 2013 coolo@suse.com
- add split_pattern.patch from RT#84778 to fix build with perl 5.18
* Fri Feb 10 2012 vcizek@suse.com
- update to 2.24
  * Added text virtual methods: upper, lower, ucfirst, lcfirst, squote,
    dquote, trim, collapse, html and xml.
  * Fixed bug RT#67918 - Bug in Makefile.PL command line parsing when 2 =
    signs were in an arguement.
  * Fixed bug RT#74335 - Added documentation for some methods that were
    lacking it to keep Pod::Coverage happy.
* Sat Jan 21 2012 pascal.bleser@opensuse.org
- update to 2.23:
  * fixed bug RT#47929 which caused the XS Stash to die mysteriously when
    calling code that used string evaluation (e.g. DateTime)
  * fixed bug RT#68722 so that list.defined('alpha') always returns false
  * added the TRACE_VARS option to keep track of what variables are used in a
    template; it's not documented yet; see t/trace_vars.t for an example of use
  * applied patch from RT#48989 to avoid Template::Plugin::Procedural from
    adding target class' methods AUTOLOAD and new methods multiple times
  * applied patch from RT#53451 to accept negative epoch times in
    Template::Plugin::Date
  * applied patch to add $Template::Directive::WHILE_MAX option to tpage
* Tue Aug 30 2011 andrea.turrini@gmail.com
- fixed typo and standardized "Authors:" format in description of
  perl-Template-Toolkit.spec
* Fri Feb 18 2011 chris@computersalat.de
- add Provides perl(Template::Toolkit) = {version}
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Dec  9 2009 bitshuffler@opensuse.org
- Updated to 2.22
  * Added UTF8 support to the XS Stash.
  * Many fixes, see Changes
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Wed Jul 15 2009 chris@computersalat.de
- update to 2.21
  * Fixed a PRE_CHOMP bug that left \r characters lying around when
    confronted with templates with DOS \r\n line endings.
    https://rt.cpan.org/Ticket/Display.html?id=43345
  * Applied patch from Bradley Baetz to fix defblock #line numbers
    http://rt.cpan.org/Public/Bug/Display.html?id=47024
- Version 2.20_4 (2.21 candidate) - 21st May 2009
  * Added the even(), odd() and parity() methods to Template::Iterator to
    assist in making zebra tables.
  * Removed a post-5.6 perlism in Template::Context that broke on 5.6.2
    https://rt.cpan.org/Ticket/Display.html?id=46250
  * Replaced a whole bunch of UNIVERSAL::isa() calls with blessed/isa
  * Applied a patch from Norbert Buchmüller to prevent the #line markers
    from being whitespaced away from the first column.
    https://rt.cpan.org/Ticket/Display.html?id=46269
  * Applied a patch from Denis F. Latypoff to fix uri/url filters with
    utf8 text
    https://rt.cpan.org/Ticket/Display.html?id=41173
- Version 2.20_3 (2.21 candidate) - 20th May 2009
  * Fixed the XS Stash to compile properly in threaded Perls.
    https://rt.cpan.org/Public/Bug/Display.html?id=46240
  * Applied a patch to the XS Stash from Alexey A. Kiritchun to make the
    scalar.length vmethod work correctly with utf8 strings.
    http://lists.tt2.org/pipermail/templates/2009-May/010803.html
- Version 2.20_2 (2.21 candidate) - 17th May 2009
  * Applied a patch to Template::Test from Andrew Ford to make it skip
    properly.
    http://lists.tt2.org/pipermail/templates/2009-March/010678.html
  * Changed the ttree -v/--verbose option so be less verbose and only
    report on things that have changed.  To make it more verbose (like
    previous versions), add a second -v/--verbose flag, e.g.
    $ ttree -v -v
  * Also added the --summary option to tree to print a summary of what it
    did, and the --color/--colour option to make it print its verbose
    messages in colour (on ANSI terminals).
  * Applied a ttree patch from Lyle Brooks to allow ttree to accept a
    directory name as a command line argument.
  * Added the define_view() and define_views() method to Template::Context
    and added the VIEWS option to pre-define views when the Template object
    is created.  Thanks to Timmy Chan for providing the groundwork on this.
    http://lists.tt2.org/pipermail/templates/2009-April/010689.html
  * Retrospectively fixed the Changes for 2.20 to mention the ttree
  - -encoding option.
  * Applied a patch from Chisel Wright, changing uses of UNIVERSAL::can()
    to use blessed() and ->can().
    http://lists.tt2.org/pipermail/templates/2009-May/010790.html
  * Fixed a memory leak in the XS Stash introduced in 2.20.
    Thanks to Breno G. de Oliveira for reporting the problem and helping to
    narrow it down.
    https://rt.cpan.org/Public/Bug/Display.html?id=46058
- Version 2.20_1 (2.21 candidate) - 7th April 2009
  * Deleted all the old HTML documentation (now available separately from
    http://tt2.org/download/index.html#html_docs), examples, libraries and
    other cruft that was way out of date and badly unloved.
  * Tweaked Template::Parser to work better with the ANYCASE option.  It
    now knows that anything following a dotop cannot be a keyword so that
    you can write data.last without the 'last' bit being interpreted as the
    LAST keyword.  Thanks to Sean McAfee for the post that inspired it.
    http://lists.tt2.org/pipermail/templates/2008-September/010462.html
  * Fixed a broken test for Apache::Util in the html_entity filter.  Added
    the use_html_entities() and use_apache_util() class methods to
    Template::Filters to allow end-user selection of one or the other.
    http://rt.cpan.org/Public/Bug/Display.html?id=40870
    http://template-toolkit.org/svnweb/Template2/revision/?rev=1177
  * Tweaked Template::Context to recognise Badger::Exception objects and
    convert them to Template::Exception objects.  This is a temporary
    measure to keep things working during the transition to Badger-based
    modules.
  * Added the STRICT option which will cause the stash to throw an
    exception on encountering an undefined value.  Thanks to Ben Tilly
    for the prod.
  * Applied a patch to Template::Iterator from Jonathon Padfield to make
    get_all() do the right thing if get_first() hasn't been called.
  * Applied a patch to Template::Stash::Context from Ben Tilly to make
    it easier to subclass.
  * Applied a patch from Robin Berjon to add the xml filter.
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o fixed deps
* Wed Sep 10 2008 anicka@suse.cz
- update to 2.20
  * bugfixes, documentation updates
- enable testsuite
* Tue May 15 2007 anicka@suse.cz
- update to 2.19
  * Applied a patch to t/fileline.t which fixes the
    problems running on Win32 with backslashes in paths.
  * Applied a patch to the XS Stash which fixes some other
    Win32 problems.
  * Applied another patch to the XS Stashwhich fixes
    a problem with tied hashes under more recent version of Perl.
  * Fixed a problem in the Perl Stash when using objects that have
    overloaded comparison operators.
  * Applied a patch to Template::Provider which adds
    negative caching and moves some functionality into separate
    methods to make subclassing easier. Also added the STAT_TTL
    configuration parameter.
  * Added the url filter as a less aggressive form of the uri
    filter.
* Thu Feb 15 2007 anicka@suse.cz
- update to 2.18
  * Changed the parser grammar to accept expressions as arguments
    to a subroutine, method or virtual method call.
  * Put the t/fileline.t test back in as this was fixed in 2.15a
  * Added the Template::Toolkit documentation-only module.
* Thu Jan 25 2007 anicka@suse.cz
- update to 2.16
  * Handle spurious errors in Makefile.PL when a dev version of
    ExtUtils::MakeMaker is installed.
* Wed Jul 12 2006 anicka@suse.cz
- update to 2.15
  * Added the CHOMP_GREEDY option and '~' chomping flag.  Changed
    CHOMP_COLLAPSE to greedily chomp all whitespace (including
    multiple newlines) and replace it with a single space.
  * Added code to the replace text virtual method to use a faster
    and simpler implementation if the replacement text doesn't
    contain any back references.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 15 2005 anicka@suse.cz
- package splash samples (#63801)
* Fri Jul 29 2005 mjancar@suse.cz
- update to 2.14
* Tue Jul 26 2005 anicka@suse.cz
- add perl-AppConfig to Requires
* Thu Feb 26 2004 mjancar@suse.cz
- update to 2.13
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Wed Jul 16 2003 freitag@suse.de
- removed MANDIR
* Wed Jul 16 2003 freitag@suse.de
- added examples to documentation
  use vendor install
* Tue Jul  1 2003 ro@suse.de
- use perl_process_packlist macro
- added unpackaged files
* Wed Jun 18 2003 coolo@suse.de
- package directories
* Sun May 25 2003 ro@suse.de
- remove unpackaged files from buildroot
- add ttree and tpage (with manpages) to filelist
* Fri Nov 29 2002 freitag@suse.de
- fixed lib path to be 64 bit conform - and try to remember this for
  the future ;-(
* Fri Nov 29 2002 freitag@suse.de
- initial version 2.08, needed by bugzilla and very powerfull.
